Name:           perl-SQL-Abstract
Version:        2.000001
Release:    1%{?dist}
Summary:        Generate SQL from Perl data structures
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/SQL-Abstract
Source0:        https://cpan.metacpan.org/authors/id/I/IL/ILMARI/SQL-Abstract-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Data::Dumper::Concise)
%if !%{defined perl_bootstrap}
BuildRequires:  perl(DBIx::Class::Storage::Statistics)
%endif
BuildRequires:  perl(Exporter) >= 5.57
BuildRequires:  perl(Hash::Merge) >= 0.12
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Moo) >= 2.000001
BuildRequires:  perl(mro)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Sub::Quote) >= 2.000001
BuildRequires:  perl(Test::Builder)
BuildRequires:  perl(Test::Builder::Module)
BuildRequires:  perl(Test::Deep) >= 0.101
BuildRequires:  perl(Text::Balanced) >= 2.00
BuildRequires:  perl(overload)
BuildRequires:  perl(Storable)
BuildRequires:  perl(Test::Exception) >= 0.31
BuildRequires:  perl(Test::More) >= 0.92
BuildRequires:  perl(Test::Warn)
%if !%{defined perl_bootstrap}
BuildRequires:  perl(DBIx::Class) >= 0.08124
%endif
Requires:       perl(Data::Dumper)
Requires:       perl(Exporter) >= 5.57
Requires:       perl(Hash::Merge) >= 0.12
Requires:       perl(Moo) >= 2.000001
Requires:       perl(mro)
Requires:       perl(Sub::Quote) >= 2.000001
Requires:       perl(Test::Deep) >= 0.101
Requires:       perl(Text::Balanced) >= 2.00

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Exporter|Test::Deep)\\)$
%global __requires_exclude %__requires_exclude|^perl\\((Moo|Sub::Quote)\\)$

%description
%{summary}.

%package -n perl-DBIx-Class-Storage-Debug-PrettyPrint
Summary:        Pretty Printing DebugObj
License:        GPL+ or Artistic

%description -n perl-DBIx-Class-Storage-Debug-PrettyPrint
%{summary}.

%package -n perl-DBIx-Class-SQLMaker-Role-SQLA2Passthrough
Summary:	A test of future possibilities
License:	GPL+ or Artistic

%description -n perl-DBIx-Class-SQLMaker-Role-SQLA2Passthrough
%{summary}.

%prep
%setup -q -n SQL-Abstract-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/SQL/
%{_mandir}/man3/DBIx::Class::SQLMaker::Role::SQLA2Passthrough.3pm*
%{_mandir}/man3/SQL::Abstract.3pm*
%{_mandir}/man3/SQL::Abstract::Plugin::BangOverrides.3pm*
%{_mandir}/man3/SQL::Abstract::Plugin::ExtraClauses.3pm*
%{_mandir}/man3/SQL::Abstract::Reference.3pm*
%{_mandir}/man3/SQL::Abstract::Role::Plugin.3pm*
%{_mandir}/man3/SQL::Abstract::Test.3pm*
%{_mandir}/man3/SQL::Abstract::Tree.3pm*

%files -n perl-DBIx-Class-Storage-Debug-PrettyPrint
%license LICENSE
%{perl_vendorlib}/DBIx/Class/Storage/
%{_mandir}/man3/DBIx::Class::Storage::Debug::PrettyPrint.3pm*

%files -n perl-DBIx-Class-SQLMaker-Role-SQLA2Passthrough
%license LICENSE
%{perl_vendorlib}/DBIx/Class/SQLMaker/
%{_mandir}/man3/DBIx::Class::SQLMaker::Role::SQLA2Passthrough.3pm*

%changelog
* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.000001-1
- initial build
